#include <tdeaboutdata.h>
#include <tdeapplication.h>
#include <tdecmdlineargs.h>
#include <kmdcodec.h>

#include "googlesearch.hh"

int main( int argc, char **argv )
{
  TDEAboutData aboutData( "kgooglesearch", "TDE Google Search", "0.1", "", TDEAboutData::License_GPL );
  aboutData.addAuthor( "Tobias Koenig", 0, "tokoe@kde.org" );

  TDECmdLineArgs::init( argc, argv, &aboutData );

  TDEApplication app( false, false );

  GoogleSearch search;

  search.googleSearch( "foobar", 0, 10, true, "", false, "", "latin1", "latin1" );
  search.spellingSuggestion( "guugel" );

  return app.exec();
}
